<template>
  <div class="home-playful mb-[40px] app__wrapper-container pb-4">
    <div class="mx-auto mb-2">
      <banner-mobile
        :theme-properties="themeProperties"
        :actived="'HomeInitial'"
        class="mobileBannerCarouselBfm1"
        @hasBanner="(val) => (hasBanner = val)"
      />
    </div>
    <div class="mx-2">
      <lazy-theme-desktop-playful-components-promotion-silder
        :slides-per-view="1.5"
        :breakpoints="{
          500: {
            slidesPerView: 2.5,
          },
          768: {
            slidesPerView: 3.5,
          },
          1024: {
            slidesPerView: 4.5,
          },
        }"
      />
    </div>
    <lazy-theme-desktop-playful-components-big-win-list/>
    <div class="mx-auto">
      <lazy-theme-mobile-playful-game />
    </div>
    <div class="mx-auto px-2">
      <lazy-theme-desktop-playful-components-win-today/>
    </div>
  </div>
</template>
<script setup lang="ts">
import { IThemePropertiesFromApi } from "~~/models/companyThemePropertiesRespone";
import { store } from "~~/store";

const themeProperties =
store.state.companyThemePropertiesFromApi.ThemeProperties;
const isAnimateThemeColor = computed(() => {
  const themeColor = themePropertyHelper.getSingleThemeProperty(
    themeProperties,
    "theme_color"
  ).Text;
  return ['main_cobaltblue'].includes(themeColor);
});
const indexBlogI = themePropertyHelper.getSingleThemeProperty(
  themeProperties,
  "index_blog_1"
);
const isIndexBlogIIEnabled = !themePropertyHelper.getSingleThemeProperty(
  themeProperties,
  "index_blog_2"
).IsHidden;
const isIndexBlogVEnabled = !themePropertyHelper.getSingleThemeProperty(
  themeProperties,
  "index_blog_5"
).IsHidden;
const isRecommendMatchEnabled = !themePropertyHelper.getSingleThemeProperty(
  themeProperties,
  "sportsbook_recommend_matches"
).IsHidden;

</script>

<style lang="scss">

</style>
